RDKit::FMCS::DuplicatedSeedCache::TKey Class Reference

`#include <DuplicatedSeedCache.h>`

## Public Member Functions

size_t | getNumAtoms () const
size_t | getNumBonds () const
void | addAtom (unsigned i)
void | addBond (unsigned i)
bool | operator== (const TKey &right) const
bool | operator< (const TKey &right) const

## Detailed Description

Definition at line 21 of file DuplicatedSeedCache.h.

## Member Function Documentation

## addAtom()

void RDKit::FMCS::DuplicatedSeedCache::TKey::addAtom | ( | unsigned | i | ) |

inline

Definition at line 28 of file DuplicatedSeedCache.h.

## addBond()

void RDKit::FMCS::DuplicatedSeedCache::TKey::addBond | ( | unsigned | i | ) |

inline

Definition at line 33 of file DuplicatedSeedCache.h.

## getNumAtoms()

size_t RDKit::FMCS::DuplicatedSeedCache::TKey::getNumAtoms | ( |  | ) | const

inline

Definition at line 25 of file DuplicatedSeedCache.h.

Referenced by RDKit::FMCS::DuplicatedSeedCache::add(), and RDKit::FMCS::DuplicatedSeedCache::find().

## getNumBonds()

size_t RDKit::FMCS::DuplicatedSeedCache::TKey::getNumBonds | ( |  | ) | const

inline

Definition at line 26 of file DuplicatedSeedCache.h.

## operator<()

bool RDKit::FMCS::DuplicatedSeedCache::TKey::operator< | ( | const TKey & | right | ) | const

inline

Definition at line 48 of file DuplicatedSeedCache.h.

## operator==()

bool RDKit::FMCS::DuplicatedSeedCache::TKey::operator== | ( | const TKey & | right | ) | const

inline

Definition at line 39 of file DuplicatedSeedCache.h.

The documentation for this class was generated from the following file:

- DuplicatedSeedCache.h